Documentation Index

Fetch the complete documentation index at: https://docs.mapp.com/llms.txt

Use this file to discover all available pages before exploring further.

/message/getManyUsedPersonalizations

Prev Next
Post
/message/getManyUsedPersonalizations

Returns the names of all user and group attributes that are referenced within the header and content area of a prepared message. The reference to the attributes is a personalization placeholder in the body of the message. All of these placeholders are replaced with individual user or message information during sendout.
Be aware that this method does not return member attributes.
Request body example:

["1800249553","1800202306"]
Body parameters
Array of string
string
Responses
200

Example response:
[
{
" entityKey": "81374",
" code": null,
" message": ""
},
{
" entityKey": "81376",
" code": null,
" message": "user.FirstName"
}
]

Array of object
object
400

Message ID does not exist, for example:

{
"errorActor": "CLIENT",
"errorCode": "NO_SUCH_OBJECT",
"message": "Message with id=24011454555 does not exist.",
"objectType": "Message",
"propertyName": "id",
"propertyValue": "24011454555"
}